package com.pixelized.desktop.lwa.ui.navigation.screen.destination

import androidx.navigation.NavGraphBuilder
import androidx.navigation.NavHostController
import androidx.navigation.compose.composable
import com.pixelized.desktop.lwa.ui.screen.settings.SettingsScreen

object SettingsDestination {
    private const val ROUTE = "settings"

    fun baseRoute() = ROUTE
    fun navigationRoute() = ROUTE
}

fun NavGraphBuilder.composableSettingsPage() {
    composable(
        route = SettingsDestination.baseRoute(),
    ) {
        SettingsScreen()
    }
}

fun NavHostController.navigateToSettings() {
    val route = SettingsDestination.navigationRoute()
    navigate(route = route)
}